Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class CachingMap.FrontMapListener

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.AbstractMapListener
com.tangosol.net.cache.CachingMap.FrontMapListener`

All Implemented Interfaces:
  MapListener, MapListenerSupport.SynchronousListener, SynchronousListener, java.util.EventListener

Enclosing class:
  CachingMap

      protected class CachingMap.FrontMapListener

extends AbstractMapListener
implements MapListenerSupport.SynchronousListener

MapListener for front map responsible for deregistering back map listeners upon front map eviction.

Field Summary
`protected Filter` | `m_filter` The filter associated with this listener.

Constructor Summary
`protected` | `CachingMap.FrontMapListener()`

Method Summary
`void` | `entryDeleted(MapEvent evt)` Invoked when a map entry has been removed.
`void` | `register()` Register this listener with the "front" map.
`void` | `unregister()` Unregister this listener with the "front" map.

Methods inherited from class com.tangosol.util.AbstractMapListener
`entryInserted, entryUpdated`

Methods inherited from interface com.tangosol.util.MapListener
`entryInserted, entryUpdated`

Field Detail

### m_filter

    protected Filter m_filter

  The filter associated with this listener.

Constructor Detail

### CachingMap.FrontMapListener

    protected CachingMap.FrontMapListener()

Method Detail

### entryDeleted

    public void entryDeleted(MapEvent evt)

  Invoked when a map entry has been removed.
  Specified by:
    `entryDeleted` in interface `MapListener`
  Overrides:
    `entryDeleted` in class `AbstractMapListener`
  Parameters:
    `evt` - the MapEvent

### register

    public void register()

  Register this listener with the "front" map.

### unregister

    public void unregister()

  Unregister this listener with the "front" map.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.